/*
 * Copyright (c) 2018 Cloudera, Inc. All Rights Reserved.
 *
 * Portions Copyright (c) Copyright 2013-2018 Amazon.com, Inc. or its
 * affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.cloudera.cdp.de.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.cloudera.cdp.client.CdpResponse;

/**
 * Request object for ListServices method.
 **/
@javax.annotation.Generated(value = "com.cloudera.cdp.client.codegen.CdpSDKJavaCodegen", date = "2024-04-30T10:56:35.336-07:00")
public class ListServicesRequest  {

  /**
   * Filter out deleted CDE services from the list.
   **/
  private Boolean removeDeleted = false;

  /**
   * Getter for removeDeleted.
   * Filter out deleted CDE services from the list.
   **/
  @JsonProperty("removeDeleted")
  public Boolean getRemoveDeleted() {
    return removeDeleted;
  }

  /**
   * Setter for removeDeleted.
   * Filter out deleted CDE services from the list.
   **/
  public void setRemoveDeleted(Boolean removeDeleted) {
    this.removeDeleted = removeDeleted;
  }

  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ListServicesRequest listServicesRequest = (ListServicesRequest) o;
    if (!Objects.equals(this.removeDeleted, listServicesRequest.removeDeleted)) {
      return false;
    }
    return true;
  }

  @Override
  public int hashCode() {
    return Objects.hash(removeDeleted);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ListServicesRequest {\n");
    sb.append("    removeDeleted: ").append(toIndentedString(removeDeleted)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line except the first indented by 4 spaces.
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

