/*
 * Copyright (c) 2018 Cloudera, Inc. All Rights Reserved.
 *
 * Portions Copyright (c) Copyright 2013-2018 Amazon.com, Inc. or its
 * affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.cloudera.cdp.environments.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.cloudera.cdp.client.CdpResponse;

/**
 * The credential properties that closely related to those that have been created on AWS.
 **/
@javax.annotation.Generated(value = "com.cloudera.cdp.client.codegen.CdpSDKJavaCodegen", date = "2024-04-30T10:56:34.387-07:00")
public class AwsCredentialProperties  {

  /**
   * The AWS role arn for the given credential.
   **/
  private String roleArn = null;

  /**
   * Flag that indicates that the given AWS credential is GovCloud specfic.
   **/
  private Boolean govCloud = null;

  /**
   * Getter for roleArn.
   * The AWS role arn for the given credential.
   **/
  @JsonProperty("roleArn")
  public String getRoleArn() {
    return roleArn;
  }

  /**
   * Setter for roleArn.
   * The AWS role arn for the given credential.
   **/
  public void setRoleArn(String roleArn) {
    this.roleArn = roleArn;
  }

  /**
   * Getter for govCloud.
   * Flag that indicates that the given AWS credential is GovCloud specfic.
   **/
  @JsonProperty("govCloud")
  public Boolean getGovCloud() {
    return govCloud;
  }

  /**
   * Setter for govCloud.
   * Flag that indicates that the given AWS credential is GovCloud specfic.
   **/
  public void setGovCloud(Boolean govCloud) {
    this.govCloud = govCloud;
  }

  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AwsCredentialProperties awsCredentialProperties = (AwsCredentialProperties) o;
    if (!Objects.equals(this.roleArn, awsCredentialProperties.roleArn)) {
      return false;
    }
    if (!Objects.equals(this.govCloud, awsCredentialProperties.govCloud)) {
      return false;
    }
    return true;
  }

  @Override
  public int hashCode() {
    return Objects.hash(roleArn, govCloud);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AwsCredentialProperties {\n");
    sb.append("    roleArn: ").append(toIndentedString(roleArn)).append("\n");
    sb.append("    govCloud: ").append(toIndentedString(govCloud)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line except the first indented by 4 spaces.
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

